Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.access
Class NotificationListenerRegistrar

    java.lang.Object
      org.springframework.jmx.support.NotificationListenerHolder
          org.springframework.jmx.access.NotificationListenerRegistrar

All Implemented Interfaces:
  DisposableBean, InitializingBean

    public class NotificationListenerRegistrar

extends NotificationListenerHolder
implements InitializingBean, DisposableBean

Registrar object that associates a specific `NotificationListener` with one or more MBeans in an `MBeanServer` (typically via a `MBeanServerConnection`).

Since:
  2.5.2
Author:
  Juergen Hoeller
See Also:
  `setServer(javax.management.MBeanServerConnection)`, `NotificationListenerHolder.setMappedObjectNames(java.lang.Object[])`, `NotificationListenerHolder.setNotificationListener(javax.management.NotificationListener)`

Field Summary
`protected org.apache.commons.logging.Log` | `logger` Logger available to subclasses

Fields inherited from class org.springframework.jmx.support.NotificationListenerHolder
`mappedObjectNames`

Constructor Summary
`NotificationListenerRegistrar()`

Method Summary
`void` | `afterPropertiesSet()` Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).
`void` | `destroy()` Unregisters the specified `NotificationListener`.
`java.util.Map<java.lang.String,?>` | `getEnvironment()` Allow Map access to the environment to be set for the connector, with the option to add or override specific entries.
`void` | `prepare()` Registers the specified `NotificationListener`.
`void` | `setAgentId(java.lang.String agentId)` Set the agent id of the `MBeanServer` to locate.
`void` | `setEnvironment(java.util.Map<java.lang.String,?> environment)` Specify the environment for the JMX connector.
`void` | `setServer(javax.management.MBeanServerConnection server)` Set the `MBeanServerConnection` used to connect to the MBean which all invocations are routed to.
`void` | `setServiceUrl(java.lang.String url)` Set the service URL of the remote `MBeanServer`.

Methods inherited from class org.springframework.jmx.support.NotificationListenerHolder
`equals, getHandback, getNotificationFilter, getNotificationListener, getResolvedObjectNames, hashCode, setHandback, setMappedObjectName, setMappedObjectNames, setNotificationFilter, setNotificationListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.apache.commons.logging.Log logger

  Logger available to subclasses

Constructor Detail

### NotificationListenerRegistrar

    public NotificationListenerRegistrar()

Method Detail

### setServer

    public void setServer(javax.management.MBeanServerConnection server)

  Set the `MBeanServerConnection` used to connect to the MBean which all invocations are routed to.

### setEnvironment

    public void setEnvironment(java.util.Map<java.lang.String,?> environment)

  Specify the environment for the JMX connector.

  See Also:
    `JMXConnectorFactory.connect(javax.management.remote.JMXServiceURL, java.util.Map)`

### getEnvironment

    public java.util.Map<java.lang.String,?> getEnvironment()

  Allow Map access to the environment to be set for the connector, with the option to add or override specific entries.

  Useful for specifying entries directly, for example via "environment[myKey]". This is particularly useful for adding or overriding entries in child bean definitions.

### setServiceUrl

    public void setServiceUrl(java.lang.String url)
                       throws java.net.MalformedURLException

  Set the service URL of the remote `MBeanServer`.

  Throws:
    `java.net.MalformedURLException`

### setAgentId

    public void setAgentId(java.lang.String agentId)

  Set the agent id of the `MBeanServer` to locate.

  Default is none. If specified, this will result in an attempt being made to locate the attendant MBeanServer, unless the `"serviceUrl"` property has been set.

  See Also:
    `

    Specifying the empty String indicates the platform MBeanServer.

    `

### afterPropertiesSet

    public void afterPropertiesSet()

  Description copied from interface: `InitializingBean`
  Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

  This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### prepare

    public void prepare()

  Registers the specified `NotificationListener`.

  Ensures that an `MBeanServerConnection` is configured and attempts to detect a local connection if one is not supplied.

### destroy

    public void destroy()

  Unregisters the specified `NotificationListener`.

  Specified by:
    `destroy` in interface `DisposableBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD